Skip to main content
DELETE
Delete a stack restore point

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string<uuid>
required

The imported cluster.

stack_name
string
required

The stack's name on the cluster.

restore_point_id
string<uuid>
required

The restore point.

Body

application/json

Optional.

confirm
string

The stack's name; required to delete the last complete restore point of a protected stack.

Response

The delete started.

restore_point_id
string<uuid>
required
status
string
required
operation_id
string | null
required

The execution sweeping the objects; null when none was created.

objects_retained_reason
string

Why the objects were not swept, when operation_id is null.